<?php
/**
 * Main config file.
 * 
 * @author Misa Brezanac <brezanac@gmail.com>
 * @license GNU General Public License
*/

/**
* The full site URL.
*/
define('SITE_URL', 'http://localhost/holotip/');

/**
* The applications root folder 
*/
define('APPLICATION_ROOT', dirname(__FILE__).'/');

/**
* Applications templates folder
*/
define('TEMPLATES_ROOT', APPLICATION_ROOT."templates/");

/**
 * Database host name.
*/
define('DB_SERVER', 'localhost');

/**
 * Database name.
*/
define('DB_NAME', 'holotip');

/**
 * Database urename. 
*/
define('DB_USERNAME', 'holotip');

/**
 * Database password.
*/
define('DB_PASSWORD', 'testpass');

/**
 * Name of the table containig data for the holotip tooltip
*/
define('DB_LIST_TABLE', 'list');

/**
 * Thumbnails folder
*/
define('THUMBNAILS_FOLDER', 'images/thumbs/');

/**
 * Server connection encoding
*/
define('DB_ENCODING', 'utf8');

/**
 * Server-client collation
*/
define('DB_COLLATION', 'utf8_general_ci');

/**
 * Is the player output for the menu supposed to be sorted?
 * 
 * Allowed values are as follows:
 * NONE - there will be no sorting
 * ASC - ascending, A-Z
 * DESC - descending, Z-A
*/
define('SORTING_ORDER', 'NONE');

/*
 * The following array contains localized strings for the PHP code that is supposed to create the menu.
*/
$lang = array(
	'mysql_connection_failed' => 'Database connection attempt failed',
	'mysql_database_selection_failed' => 'Database selection failed',
	'mysql_query_failed' => 'Database query failed',
	'mysql_encoding_setting_failed' => 'Database connection encoding setting failed',
	'mysql_collation_setting_failed' => 'Database connection collation setting failed',
	'id_requested_id_does_not_exist' => 'The requested id does not exist in the database',
	'id_illegal_id_request' => 'Trying to play hacker, right...?'
);

/**
 * Although its not usual to include a logging function in a config file this
 * seems to be very handy at the present time.
 *
 * @param string $error The error message.
*/
function logMessage($message){
	$fp = fopen(log.dat, "a");
    fputs($fp, date("[d.m.Y. H:i:s.] ").$message." in ".htmlentities($_SERVER['PHP_SELF'])."\n");
    fclose($fp);    
}
?>