<?php 
/**
* Returns the result with player details on request through AJAX or non AJAX requests.
* 
* @author Misa Brezanac <brezanac@gmail.com>
* @license GNU General Public License 
*/

require_once dirname(__FILE__)."/config.php";

/**
 * The response is of type XML in the following format:
 * <containers>
 *   <container>
 *       <title>Name of the div container for which the content is intended.</title>
 *       <content>This is the content which will go into the container named 'title'.</content>
 *   </container>
 * </containers>
*/

/*
 * In order to be propperly interpreted by the browser we need to first send the required headers.
*/
header("Content-Type: text/xml");
header("Cache-Control: no-cache, must revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

/*
 * Checking to see if there is a valid 'id' number sent along with the request.
*/
if((int)$_GET['id']){
    /*
     * Yes there is a valid id therefore we make some preparations...
    */
    if($conn = @mysql_connect(DB_SERVER,DB_USERNAME,DB_PASSWORD)){
        if(@mysql_selectdb(DB_NAME,$conn)){
            @mysql_query("SET NAMES ".DB_ENCODING, $conn) or logMessage($lang['mysql_encoding_setting_failed']);
            @mysql_query("SET COLLATION_CONNECTION=".DB_COLLATION, $conn) or logMessage($lang['mysql_collation_setting_failed']);
            
            /*
             * ...and send the actual query.
            */
            $sql = "SELECT *, date_FORMAT(born, '%d.%m.%Y.') AS born_formatted FROM ".DB_LIST_TABLE." WHERE id=".(int)$_GET['id'];
			$result = @mysql_query($sql, $conn) or logMessage($lang['mysql_query_failed']);
            /*
             * If the requested client exists we make the output
            */
            if(@mysql_num_rows($result) > 0){
                $record = @mysql_fetch_assoc($result);
                /*
                 * Since I do hate to mix logic and presentation I always look for a way to separate them. 
                 * What can I do... I am an MVC fan :) Here we are loading a template file which
                 * will be populated with data from the above $record variable. You can say that
                 * the template file might be considered as a view whereas this file might be
                 * considered a controller or even a model.
                */
                $record['position'] = strtoupper($record['position']); //we need this in uppercase
                $imagePath = THUMBNAILS_FOLDER.$record['image'];
                if(file_exists($imagePath)){
                    $record['image'] = SITE_URL.$imagePath;  
                } else {
                    $record['image'] = SITE_URL."images/no_pic.png";   
                }
                require TEMPLATES_ROOT."holotipDetails.tmpl.php";
            } else {
                /*
                 * If not we log the error and send the message
                */    
                logMessage($lang['id_requested_id_does_not_exist']);
                $message = $lang['id_requested_id_does_not_exist'];
                require TEMPLATES_ROOT."holotipError.tmpl.php";
            }
        } else {
            logMessage($lang['mysql_database_selection_failed']); 
            $message = $lang['mysql_database_selection_failed'];
            require TEMPLATES_ROOT."holotipError.tmpl.php";      
        }    
    } else {
        logMessage($lang['mysql_connection_failed']);
        $message = $lang['mysql_connection_failed'];
        require TEMPLATES_ROOT."holotipError.tmpl.php";      
    }           
} else {
    logMessage($lang['id_illegal_id_request']);
    $message = $lang['id_illegal_id_request'];
    require TEMPLATES_ROOT."holotipError.tmpl.php";       
}
?>
